%define mod_name Net-Daemon
Name:           perl-%{mod_name}
Epoch:          1
Version:        0.49
Release:        2
Summary:        Perl extension for portable daemons
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl perl-generators
Requires:       perl

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl 5.005
and threads, but can work with fork() and Perl 5.004.

The Net::Daemon class offers methods for the most common tasks a daemon
needs: Starting up, logging, accepting clients, authorization,
restricting its own environment for security and doing the true work.
You only have to override those methods that aren't appropriate for you,
but typically inheriting will safe you a lot of work anyways.

%package help
Summary: Man page for Net::Daemon
BuildArch: noarch

%description help
This package provide %{summary}.

%prep
%setup -q -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor  NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install

%check
make test


%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Net*

%files help
%{_mandir}/man3/Net*.3*


%changelog
* Tue Oct 25 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 1:0.49-2
- define mod_name to opitomize the specfile

* Tue Dec 21 2021 shangyibin <shangyibin1@huawei.com> - 1:0.49-1
- Upgrade to version 0.49

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.48-2
- Adjust requires

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.48-1
- Package init
